package com.tmerclub.cloud.flow.vo;

import com.alibaba.excel.annotation.ExcelProperty;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author TRACK
 */
public class FormExcelVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 哪一行开始导出
     */
    public static final int MERGE_ROW_INDEX = 2;
    /**
     * 需要合并的列数组
     */
    public static final int[] MERGE_COLUMN_INDEX = {};

    @ExcelProperty("日期")
    private String date;

    @ExcelProperty("客单价")
    private String customerUnitPrice;

    @ExcelProperty("总成交金额")
    private String totalTransactionAmount;

    @ExcelProperty("自营客单价")
    private String selfCustomerUnitPrice;

    @ExcelProperty("自营金额")
    private String selfAmount;

    @ExcelProperty("自营订单数")
    private Integer selfOrders;

    @ExcelProperty("自营商品数")
    private Integer selfProducts;

    @ExcelProperty("自营下单人数")
    private Integer selfNums;

    @ExcelProperty("下单金额")
    private String orderAmount;

    @ExcelProperty("下单人数")
    private Integer peopleOrderNums;

    @ExcelProperty("下单笔数")
    private Integer orderNums;

    @ExcelProperty("下单商品数")
    private Integer orderProducts;

    @ExcelProperty("支付金额")
    private String paymentAmount;

    @ExcelProperty("支付人数")
    private Integer payPeopleNums;

    @ExcelProperty("支付订单数")
    private Integer payOrderNums;

    @ExcelProperty("支付商品数")
    private Integer payProductNums;

    @ExcelProperty("成功退款金额")
    private String successRefundAmount;

    @ExcelProperty("退款订单数量")
    private Integer refundOrderNums;

    @ExcelProperty("下单-支付转化率")
    private String orderPaymentRate;

    @ExcelProperty("退款率")
    private String refundRate;

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public String getCustomerUnitPrice() {
        return customerUnitPrice;
    }

    public void setCustomerUnitPrice(String customerUnitPrice) {
        this.customerUnitPrice = customerUnitPrice;
    }

    public String getTotalTransactionAmount() {
        return totalTransactionAmount;
    }

    public void setTotalTransactionAmount(String totalTransactionAmount) {
        this.totalTransactionAmount = totalTransactionAmount;
    }

    public String getSelfCustomerUnitPrice() {
        return selfCustomerUnitPrice;
    }

    public void setSelfCustomerUnitPrice(String selfCustomerUnitPrice) {
        this.selfCustomerUnitPrice = selfCustomerUnitPrice;
    }

    public String getSelfAmount() {
        return selfAmount;
    }

    public void setSelfAmount(String selfAmount) {
        this.selfAmount = selfAmount;
    }

    public Integer getSelfOrders() {
        return selfOrders;
    }

    public void setSelfOrders(Integer selfOrders) {
        this.selfOrders = selfOrders;
    }

    public Integer getSelfProducts() {
        return selfProducts;
    }

    public void setSelfProducts(Integer selfProducts) {
        this.selfProducts = selfProducts;
    }

    public Integer getSelfNums() {
        return selfNums;
    }

    public void setSelfNums(Integer selfNums) {
        this.selfNums = selfNums;
    }

    public String getOrderAmount() {
        return orderAmount;
    }

    public void setOrderAmount(String orderAmount) {
        this.orderAmount = orderAmount;
    }

    public Integer getPeopleOrderNums() {
        return peopleOrderNums;
    }

    public void setPeopleOrderNums(Integer peopleOrderNums) {
        this.peopleOrderNums = peopleOrderNums;
    }

    public Integer getOrderNums() {
        return orderNums;
    }

    public void setOrderNums(Integer orderNums) {
        this.orderNums = orderNums;
    }

    public Integer getOrderProducts() {
        return orderProducts;
    }

    public void setOrderProducts(Integer orderProducts) {
        this.orderProducts = orderProducts;
    }

    public String getPaymentAmount() {
        return paymentAmount;
    }

    public void setPaymentAmount(String paymentAmount) {
        this.paymentAmount = paymentAmount;
    }

    public Integer getPayPeopleNums() {
        return payPeopleNums;
    }

    public void setPayPeopleNums(Integer payPeopleNums) {
        this.payPeopleNums = payPeopleNums;
    }

    public Integer getPayOrderNums() {
        return payOrderNums;
    }

    public void setPayOrderNums(Integer payOrderNums) {
        this.payOrderNums = payOrderNums;
    }

    public Integer getPayProductNums() {
        return payProductNums;
    }

    public void setPayProductNums(Integer payProductNums) {
        this.payProductNums = payProductNums;
    }

    public String getSuccessRefundAmount() {
        return successRefundAmount;
    }

    public void setSuccessRefundAmount(String successRefundAmount) {
        this.successRefundAmount = successRefundAmount;
    }

    public Integer getRefundOrderNums() {
        return refundOrderNums;
    }

    public void setRefundOrderNums(Integer refundOrderNums) {
        this.refundOrderNums = refundOrderNums;
    }

    public String getOrderPaymentRate() {
        return orderPaymentRate;
    }

    public void setOrderPaymentRate(String orderPaymentRate) {
        this.orderPaymentRate = orderPaymentRate;
    }

    public String getRefundRate() {
        return refundRate;
    }

    public void setRefundRate(String refundRate) {
        this.refundRate = refundRate;
    }

    @Override
    public String toString() {
        return "FormExcelVO{" +
                "date='" + date + '\'' +
                ", customerUnitPrice='" + customerUnitPrice + '\'' +
                ", totalTransactionAmount='" + totalTransactionAmount + '\'' +
                ", selfCustomerUnitPrice='" + selfCustomerUnitPrice + '\'' +
                ", selfAmount='" + selfAmount + '\'' +
                ", selfOrders=" + selfOrders +
                ", selfProducts=" + selfProducts +
                ", selfNums=" + selfNums +
                ", orderAmount='" + orderAmount + '\'' +
                ", peopleOrderNums=" + peopleOrderNums +
                ", orderNums=" + orderNums +
                ", orderProducts=" + orderProducts +
                ", paymentAmount='" + paymentAmount + '\'' +
                ", payPeopleNums=" + payPeopleNums +
                ", payOrderNums=" + payOrderNums +
                ", payProductNums=" + payProductNums +
                ", successRefundAmount='" + successRefundAmount + '\'' +
                ", refundOrderNums=" + refundOrderNums +
                ", orderPaymentRate='" + orderPaymentRate + '\'' +
                ", refundRate='" + refundRate + '\'' +
                '}';
    }
}
